# Introdução

"Coisas Que Eu Aprendi Na Marra (Em 30 Anos de Desenvolvimento de Software)"
começou como uma simples sequencia de toots (o mesmo que "tweets", mas no
[Mastodon](https://functional.cafe/@juliobiason) quando eu estava pensando em
escrever uma nova apresentação?

Mas porque "uma nova apresentação"?

Eu participo de um grupo chamado "[Tchelinux](https://tchelinux.org)" com o
qual eu atravessei o estado; nós normalmente fazemos eventos em universidades
e falamos para pessoas que estão começando a universidade, explicando coisas
sobre software livre (libre) e algumas vezes falando sobre coisas que essas
pessoas normalmente não veriam no currículo da universidade.

Uma coisa que me incomoda é que poucas apresentações falam sobre "quando as
coisas dão errado". Todas apresentações mostram protótipos ou comentam os
pontos positivos de alguma coisa, e escondem tudo que poderia dar de
errado[^1]. Obviamente, depois de trabalhar por 30 anos com desenvolvimento de
software, eu vi uma boa quantidade de coisas que dão errado -- algumas vezes
numa montanha gigantesca de cagadas -- e por isso pensei "Talvez essa seja uma
coisa que as pessoas gostariam de ouvir".

(E pra ser completamente honesto, algumas dessas cagadas gigantescas foram
totalmente culpa minha.)

E foi assim que a sequencia de toots começou. Antes que eu percebesse, eu
passei praticamente o dia todo postando esse tipo de coisa (felizmente, a
minha caixa de "coisas pra fazer" estava praticamente vazia na época) e a
lista chegou a 30 pontos, mais adendos e alguns pontos com algumas
explicações. E foi assim que eu decidi transformar num post do meu blog.

(Aliás, minto: Alguém mencionou no Functional Café que eu deveria fazer um
post no meu blog para facilitar a leitura.)

A única coisa que eu pensei quando agrupei tudo num post era "isso vai ajudar
as pessoas a ler o conteúdo ao invés de ter que sair correndo atrás dos toots
no Mastodon". Mas aí o posto apareceu no Reddit. E no Twitter. E no
HackerNews. E no YCombination. E nenhum desses foi feito por mim.

Mas uma coisa: Cada ponto estava limitado pelo tamanho de um toot, que são 500
caracteres. Algumas vezes, isso não é o suficiente para expandir um ponto,
explicá-lo corretmente e adicionar alguns exemplos.

E foi assim que esse "livro" nasceu.

Uma coisa que você precisa ter em mente aqui: *Essas são minhas opiniões*. Eu
entendo que não é tudo "preto no branco" como eu coloco aqui, e experiencias
de outras pessoas podem não ser exatamente iguais. Ainda, você fica um pouco
cínico sobre tecnologia depois de 30 anos. Então... vá com calma, pois [Hic
sunt dracones](https://pt.wikipedia.org/wiki/Hic_sunt_dracones).

[^1]: Sim, eu também sou culpado de fazer isso.

<!-- 
vim:spelllang=pt:
-->
