# Pense Nos Usuários

Pense em como os dados que você está coletando dos seus usuário será usado --
isso é muito importante atualmente, onde "privacidade" é um serviço premium.

Eu já tive uma discussão com um CTO sobre a coleta do número de IMEI na nossa
aplicação mobile. Basicamente, não tínhamos nenhum motivo para capturar essa
informação mas, como ele colocou na época, "Nós queremos saber se um usuário
usa dois telefones, ou se dois usuários usam o mesmo telefone" (e isso não
seria usado para melhorar o serviço em praticamente nada). Eu levantei o fato
de que não precisamos dessa informação e que sentia que basicamente estaríamos
invadindo a privacidade dos nossos usuários. E ainda assim, ele decidiu
continuar com a coleta. Minha resposta: "Ok, eu vou fazer, mas quero deixar
anotado que eu não estou feliz com essa solução".

No final, a aplicação foi barrada no store... por estar capturando o IMEI.

Mas há casos e casos. Se você realmente _realmente_ precisar capturar os dados
do usuário, tenha certeza que estes estão protegidos contra acessos indevidos,
seja por ações externas (alguém achou uma falha de segurança na sua aplicação)
ou internal (um funcionário infeliz resolveu levar os dados dos seus cliente
com ele).

E tenha certeza, _haverá_ uma falha de segurança em algum ponto, é só uma
questão de tempo. Se você puder, a melhor forma de proteger os dados dos seus
usuários é nunca capturar dado algum. Quando for encontrada a falha de
segurança no seu sistema ou quando um colega sair da empresa de forma infeliz,
não haverão dados para serem expostos ao mundo, de qualquer forma. Não tem como
ser mais seguro que isso.

<!--
vim:spelllang=pt:
-->
