build_book() {
	BOOK_PATH=$1

	cd $BOOK_PATH
	mdbook build
	cd ..
}

publish_book() {
	BOOK_PATH=$1
	SOURCE=${BOOK_PATH}book/*
	TARGET=$BOOK_PATH

	echo "rsync -r $SOURCE books@books.juliobiason.me:$TARGET"
	rsync -r $SOURCE books@books.juliobiason.me:$TARGET
}

publish_index() {
	rsync index.html books@books.juliobiason.me:
}

for book in `ls -d */`; do
	build_book $book
	publish_book $book
	publish_index
done
