# Debuggers São Superestimados

Volta e meia eu escuto alguém reclamando que alguns editores de código são
ruins porque é difícil usar um debugger dentro deles. Eu diria que essa visão
está errada.

Mas vamos tirar algo do caminho antes de mais nada: Eu não estou querendo dizer
que debuggers são ruins e que você não deveria nunca usar um. Debuggers tem o
seu uso, mas toda vez que eu tentei usar um, era porque havia alguma outra
coisa faltando.

Quando eu estava usando um framework em Java, eu tive alguns problemas com o
código que eu havia escrito. Eu esperava que [a aplicação
explodisse](../programando/deixe-explodir.md) porque eu não coloquei nada para
lidar com os problemas. O que aconteceu foi que o framework escondeu o erro e
reiniciou o processamento. Para encontrar o que estava acontecendo, eu tive que
conectar um debugger e ver o que havia de errado com os dados; se eu não
fizesse isso, eu não teria a menor ideia de onde estava o problema.

O debugger era necessário aqui? Eu acredito que não. Se o framework mostrasse o
erro (explodisse, botasse uma textão nos logs, seja lá o que for), eu não
precisaria usar o debugger. Mas, porque havia coisas faltando, eu fui _forçado_
a usar um debugger.

Além disso, a longo prazo, você acaba com problemas em lugares onde você não
pode conectar um debugger -- por exemplo, no seu ambiente de produção. Você até
_pode_, mas não _deveria_. Por outro lado, se você estiver [logando
eventos](../rodando/logs-para-eventos.md), então você veria o que está
acontecendo, sem um debugger.

De novo, não quero desmerecer debuggers, mas a longo prazo, eles se tornam
inúteis e acabam apontando para lugares onde o suporte ao redor está faltando.

<!--
vim:spelllang=pt:
-->
