# Don't Defend Bad Code

Bad code exists everywhere. You shouldn't defend it, even if it is your own
code.

Bad code isn't bad on purpose. It sadly happens. But because it is bad, you
shouldn't defend it.

For example, an application does whatever you need. But it crashes from time
to time. Software shouldn't crash and you shouldn't defend it just because it
does whatever you need.

Your internal application works on a single browser. That's bad. "But maybe
the other devs thought it wouldn't be worth working on all browsers". No. It
is _bad_. You shouldn't defend the other devs because they decided to focus on
a single browser due whatever problems they were facing. Sure it wasn't nice
that they had to do this trade-off, but it is still _bad_ software.

If we keep defending this kind of software, we will still get bad software.
