# You'll Learn About Yourself The Hard Way

We get frustrated with code that doesn't compile. We get angry with customers
asking things back and forth. We get upset when upper management can't make up
its mind. And we lash out on others when that happens.

Unfortunately, that's the way you'll learn about yourself. You'll learn to
figure out when you get frustrated. You'll learn how you can keep getting
attacked by others -- even micro-aggressions -- but, without realizing, at
some point you'll suddenly burst into an counter-attack that may seem out of
proportion.

The worst part of it all? Very few people will tell you what you're doing
before it's too late -- you'll get in trouble way before you could actually
understand what you were doing.

But, again, you'll get in trouble.

And you _must_ learn about these events. Take the feedback as true, even if
you don't agree with it. I had my falls, and I always took it as something I
need to improve, even if later I said to my psychologist that I thought it was
unfair and biased -- mostly 'cause I'm the quiet guy that always took the
blows and never complained about, and people taking the flak from me were more
vocal and friendlier to the higher-ups. But, again, I took it as true, and did
my best to work on those problems.
