# Resist The Temptation Of Easy

Sure that IDE will help you with a ton of autocomplete stuff and let you
easily build your project, but do you understand what's going on?

I'm not denying the fact that IDEs make things easier. I'm trying to say that
you should not rely heavily on their features.

I mentioned before that you should at least know how to [run tests on the
command line](../testing/tests-in-the-command-line.md) and the same
applies to everything in IDEs: how to build, how to run, how to run tests and,
let's be honest here, how to find proper names for your variables and
functions. 'Cause it's nice that the IDE can complete all the names of
the functions, but if the autocomplete feature was off, would you know which
function you need? In other words, have you thought at least 10 seconds about
a good name for your function so you _won't_ need to use autocomplete to
remember its name?

These days, IDEs can autocomplete almost everything, from function names to
even how to name your variables. But using the autocomplete is not always a
good solution. Finding better names is.
